Bug 376811 - SELinux Blocking UserDir's With Apache
SELinux Blocking UserDir's With Apache
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 20:51 EST by Michael Appleyard
Modified: 2008-01-30 14:18 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:18:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
What the SETroucbleShoot Browser says on the matter. (1.79 KB, text/plain)
2007-11-11 20:51 EST, Michael Appleyard
no flags Details

  None (edit)
Description Michael Appleyard 2007-11-11 20:51:21 EST
Description of problem:
When trying to set-up UserDir's with Apache, SELinux blocks it saying that I can
correct the problem using the command: 

setsebool -P httpd_enable_homedirs=1

However, I still get a 403 Forbidden error despite having the correct
permissions set. Disabling SELinux solves the problem, so it is definitely
SELinux related.

Using the SELinux Administration tool, I can see that under HTTPD Service,
"Allow HTTPD to read home directories" is set to true, yet it stil denies
permission.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Set up Apache to use user's public_html folder as their webpage home.
2.Create a public_html directory inside and chmod to 755
3.run: setsebool -P httpd_enable_homedirs=1
4.try to access http://localhost/~username/
  
Actual results:
403 Forbidden error

Expected results:
Display website

Additional info:
Comment 1 Michael Appleyard 2007-11-11 20:51:22 EST
Created attachment 254881 [details]
What the SETroucbleShoot Browser says on the matter.
Comment 2 Daniel Walsh 2007-11-12 10:29:22 EST
Fixed in selinux-policy-3.0.8-52.fc8
Comment 3 Daniel Walsh 2008-01-30 14:18:35 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.